package com.friday.operation.api.keepalive.constant.smartrpa;

/**
 * @Author YaoYao
 * @Date Created In 15:30 2022/12/7
 * @Description 机器状态集
 * @Modified By
 */
public enum RobotState {
    Available("Available", "可用"),
    Busy("Busy", "忙碌"),
    Exception("Exception", "异常"),
    Maintenance("Maintenance", "维护"),
    Unresponsive("Unresponsive", "无响应"),
    Disconnected("Disconnected", "断连"),
    Invalid("Invalid", "无效"),
    Initialed("Initialed", "初始化状态")
    ;

    private String state;
    private String description;

    RobotState(String state, String description) {
            this.state = state;
            this.description = description;
    }

    public String getState() {
            return state;
        }

}
